You will need to have version 6 or above of the Macromedia flash player to be able to view the ProCo website